Subject: Re: [Bitcoin-development] Random order for clients page

From: Gregory Maxwell <[email-masked]>
Date: Mon, 9 Jul 2012 14:48:18 -0400

On Mon, Jul 9, 2012 at 2:18 PM, Amir Taaki <[email-masked]> wrote:
> The only thing that's changed between now and this morning is:
>
> - Addition of Bitcoin Wallet for Android
> - Randomisation of entries

Yes, because I reverted eight commits to it by you because they were
clearly controversial, including the proprietary clients section and
blockchain.info.

You went on to add the randomization, again without a pull request
and, as seen here, its somewhat controversial.

> I actually got permission from everyone involved before making the page.If you want to remove the page, then we should see a vote by:

Luke originally authored the multiple clients page. It sounded like it
could be useful and I made some recommendations for it too.  I'm
concerned that it's not working out that well. Thus "we should
probably consider".  Perhaps that came off as too strong.  If I really
pushing for that I'd submit it as a pull request. (and everyone,
including the people you listed, could comment)

I think the fact that we can just remove it if we can't agree on it is
a useful point to the discussion.  For the site to be a neutral
resource it should be conservatively operated and if sometimes being
neutral, safe, and conservative gets in the way of being complete then
we should choose those other things over completeness. There are a
great many other resources available, bitcoin.org will never contain
all the relevant knowledge.

> You're proposing to remove the page.You know, and I know and I know that you know that nobody visits the Wiki.

Crazy. I have considerable evidence to the contrary, in fact. The wiki
is widely used and promoted as the primary community memory.

I certainly didn't agree with that suggestion because I thought it
wouldn't get seen. I found it agreeable because it would reflect the
lower degree of consensus we apparently have about listing the page.

> Have you tried the new clients? I've tried all 4, and they are all well written.

I've used multibit, armory, and electrum (though not for some time). I
shed painted the electrum determinstic wallet stuff pretty extensively
when it was first created, and I think the wordlist seed stuff was my
suggestion.

> Try the new version of Electrum, https://gitorious.org/electrum/electrum - it's more featureful and secure than Bitcoin-Qt what with deterministic wallets, brain-wallets, prioritising addresses, frozen addresses, offline transactions - none of which Bitcoin-Qt has.

I'd like to invite you to point your electrum client against a server
I operate.  I will then happily agree with you that it is more secure:
because the bitcoin I rob from you will soothe my pain at the loss of
this "debate".  Sound like a deal?

I think you're exaggerating the features there, and simultaneously
underplaying the fact that clients doesn't actually participate in the
bitcoin protocol, don't provide the security promises of bitcoin, and
basically leave us with a centralized system (if thats all we had).
It's a worthwhile part of the ecosystem, I agree.

> MultiBit is also very good with QR integration and the ability for merchants to quickly set themselves up. It's full of guiding help text, and has this paradigm to allow people to work with keys.

There has been QR integration in bitcoin-qt for some time. ::shrugs::
I don't really understand why you're arguing features here: Yes the
other clients are great things. I never said they weren't.  They are
not, however, complete alternatives to the reference client yet.

> There is absolutely no reason to remove this page unless you think bitcoin.org is only for Bitcoin-Qt which is against the wishes of gavin, sipa, jgarzik, and the long-term stated goal of bitcoin.org as a neutral resource for the community.

Please stop putting words in my mouth. I certainly don't think that.